# Name Parse Ambiguity

### Parse Ambiguity

When the input such as "**The trustee for Richard Patrick,**" is tokenized by the parser into separate entities like "**The**" and "**Richard Patrick**," there's a risk that the input might erroneously use trust name "**Richard Patrick**" for business validation. However, "**The trustee for Richard Patrick**" stands as an independent entity. In such cases Business Validation PDPs mitigates these parse ambiguities by utilizing the "OriginalInput" match rule.

***Sample Business Data in HELLO\_BUSINESS\_INDEX***

**Company1:** The trustee for Richard Patrick Eisele

&#x20;                     bn: 78485861784

**Company2:** Richard Patrick

&#x20;                       bn: 23897996450

```json
{
    "ciqPartyRelationshipDocument": {
        "options": {
            "originalInput": "The trustee for RICHARD PATRICK",
            "exposeAttributes": "7"
        },
        "parties": [
            {
                "pdpchangeContext": {},
                "companyName": {
                    "companyName": "The",
                    "personalName": false,
                    "organisationalName": true,
                    "nameQuality": 3
                },
                "relationshipLabel": "organisation1",
                "customAttributes": {
                    "business_name": "The Trustee for Richard Patrick Eisele",
                    "business_tax_status_from_date": "19000101",
                    "business_display_name": "The Trustee for Richard Patrick Eisele",
                    "business_ver_code": "OriginalInput_1_0.125",
                    "business_name_entity_type": "MN",
                    "business_bn": "78485861784",
                    "business_entity_type_ind": "DES",
                    "business_postcode": "7330",
                    "business_bn_status_from_date": "20200112",
                    "business_entity_type_text": "Deceased Estate",
                    "business_country": "au",
                    "business_month_in_business": "48",
                    "business_last_updated_date": "20200203",
                    "business_bn_status": "ACT",
                    "business_tax_status": "NON",
                    "business_state": "TAS"
                },
                "containedInParties": true,
                "locationInParties": 1
            },
            {
                "pdpchangeContext": {},
                "relationshipLabel": "person1",
                "personName": {
                    "fullName": "RICHARD PATRICK",
                    "personalName": true,
                    "firstName": "RICHARD",
                    "lastName": "PATRICK",
                    "organisationalName": false,
                    "nameQuality": 4
                },
                "containedInParties": true,
                "locationInParties": 2
            }
        ],
        "numberOfParties": 2
    },
    "relationships": [
        {
            "from": "organisation1",
            "to": "person1",
            "title": "trust",
            "arcrole": "http://www.msi.com.au/relationships/trust"
        }
    ]
}
```

### Parse Exception

There are numerous cases where alphanumeric business names, trading names, or other names lack identifiable company terms like (PTY LTD etc.) leading to parsing failures.

In such cases , there is a configuration that can be tweaked through $HARMONY\_HOME/config/harmony\_scrubbing\_descriptor.xml to surpass the parse failure and feed  original input as is to Business Validation PDP.

**Default configuration is false**

`<h:passthrough-name-on-parse-failure>false</h:passthrough-name-on-parse-failure>`

Response using the default `passthrough-name-on-parse-failure as false.`

```json
{
    "exceptions": [
        {
            "code": "H112",
            "category": "PARSER",
            "description": "No pattern matched for this input - DROP BEAR 4X4 & LEISURE. Check for punctuation errors, duplicate fields, incorrect input format and incorrect input data.",
            "inputData": "DROP BEAR 4X4 & LEISURE",
            "inputType": "COMPANY_DATA",
            "message": "H112 : No pattern matched for this input - DROP BEAR 4X4 & LEISURE. Check for punctuation errors, duplicate fields, incorrect input format and incorrect input data.",
            "localizedMessage": "H112 : No pattern matched for this input - DROP BEAR 4X4 & LEISURE. Check for punctuation errors, duplicate fields, incorrect input format and incorrect input data."
        }
    ]
}
```

&#x20; Response after the `passthrough-name-on-parse-failure is set to true.`

```json
{
    "ciqPartyDocument": {
        "pdpchangeContext": {},
        "options": {
            "originalInput": "DROP BEAR 4X4 & LEISURE",
            "exposeAttributes": "7"
        },
        "containedInParties": false,
        "locationInParties": 0,
        "customAttributes": {
            "business_name": "AUGUSTA AUTO MART PTY LTD",
            "business_tax_status_from_date": "20030210",
            "business_display_name": "AUGUSTA AUTO MART PTY LTD Trading As Drop Bear 4x4 & Leisure",
            "business_ver_code": "OriginalInput_1_1.0",
            "business_name_entity_type": "MN",
            "business_cn_type": "undetermined",
            "business_bn": "31103593666",
            "business_cn": "103593666",
            "business_entity_type_ind": "PRV",
            "business_postcode": "5700",
            "business_bn_status_from_date": "20030205",
            "business_month_as_tax_business": "251",
            "business_entity_type_text": "Australian Private Company",
            "business_country": "au",
            "business_month_in_business": "252",
            "business_last_updated_date": "20200214",
            "business_other_entities": "[{\"entity_name\":\"AUGUSTA AUTO MART\",\"entity_type\":\"TRD\"},{\"entity_name\":\"PORT AUGUSTA WINDSCREENS AND RADIATORS\",\"entity_type\":\"OTN\"},{\"entity_name\":\"AUGUSTA 4WD\",\"entity_type\":\"BN\"},{\"entity_name\":\"Augusta 4x4\",\"entity_type\":\"BN\"},{\"entity_name\":\"Auto One Port Augusta\",\"entity_type\":\"BN\"},{\"entity_name\":\"Drop Bear 4x4 & Leisure\",\"entity_type\":\"BN\"}]",
            "business_bn_status": "ACT",
            "business_tax_status": "ACT",
            "business_state": "SA"
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/harmony-suite/user-guides/version-3.0.0/business-lookup-and-validation/guides/name-parse-ambiguity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
